package mqs

import (
	"quenue/app/constants/common"
	common2 "quenue/app/utils/mq/common"
	"sync"
)

var (
	MqManager = CMqManager{}
	once      sync.Once
)

type CMqManager struct {
	mqs map[string]common2.Imq
}

func (this *CMqManager) InitMq() {
	this.mqs = make(map[string]common2.Imq)
	this.mqs[common.MQ_KFK] = KafkaMq{}
	this.mqs[common.MQ_KFK_V2] = KafkaV2Mq{}
}
func (this *CMqManager) GetMqByName(name string) common2.Imq {
	once.Do(func() {
		this.InitMq()
	})
	return this.mqs[name]
}
